"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApolloServer = void 0;
const apollo_server_express_1 = require("apollo-server-express");
const express_1 = __importDefault(require("express"));
function defaultExpressAppFromMiddleware(middleware) {
    const app = (0, express_1.default)();
    app.use(middleware);
    return app;
}
class ApolloServer extends apollo_server_express_1.ApolloServer {
    serverlessFramework() {
        return true;
    }
    createHandler(options) {
        let realHandler;
        return async (req, ...args) => {
            var _a;
            await this.ensureStarted();
            if (!realHandler) {
                const middleware = this.getMiddleware({
                    path: '/',
                    ...options === null || options === void 0 ? void 0 : options.expressGetMiddlewareOptions,
                });
                realHandler = ((_a = options === null || options === void 0 ? void 0 : options.expressAppFromMiddleware) !== null && _a !== void 0 ? _a : defaultExpressAppFromMiddleware)(middleware);
            }
            return realHandler(req, ...args);
        };
    }
}
exports.ApolloServer = ApolloServer;
//# sourceMappingURL=ApolloServer.js.map